Bug 962820 - Review Request: pngquant - PNG quantization tool for reducing image file size
Review Request: pngquant - PNG quantization tool for reducing image file size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
http://pngquant.org/
https://github.com/pornel/improved-pn...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 09:59 EDT by Björn 'besser82' Esser
Modified: 2013-06-16 14:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: pngquant-1.8.3-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 16:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Björn 'besser82' Esser 2013-05-14 09:59:04 EDT
Spec URL: http://besser82.fedorapeople.org/pkg/pngquant/pngquant.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/pngquant/pngquant-1.8.3-1.fc18.src.rpm

Description: pngquant converts 24/32-bit RGBA PNG images to 8-bit palette with alpha channel preserved. Such images are compatible with all modern web browsers and a compatibility setting is available to help transparency degrade well in Internet Explorer 6. Quantized files are often 40-70 percent smaller than their 24/32-bit version. pngquant uses the median cut algorithm.

Fedora Account System Username: besser82

Koji build for rawhide looks fine: http://koji.fedoraproject.org/koji/taskinfo?taskID=5378808

rpmlint is happing, except some false-positive spelling errors:
pngquant.x86_64: W: spelling-error Summary(en_US) quantization -> quantification, equalization, tantalization
pngquant.x86_64: W: spelling-error %description -l en_US Quantized -> Quarantined, Antiquated, Antiqued
pngquant.src: W: spelling-error Summary(en_US) quantization -> quantification, equalization, tantalization
pngquant.src: W: spelling-error %description -l en_US Quantized -> Quarantined, Antiquated, Antiqued
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

rpmls shows everything needed is owned:
-rwxr-xr-x  /usr/bin/pngquant
drwxr-xr-x  /usr/share/doc/pngquant-1.8.3
-rw-r--r--  /usr/share/doc/pngquant-1.8.3/CHANGELOG
-rw-r--r--  /usr/share/doc/pngquant-1.8.3/COPYRIGHT
-rw-r--r--  /usr/share/doc/pngquant-1.8.3/README.md
-rw-r--r--  /usr/share/man/man1/pngquant.1.gz

Hello!

This is one my first packages I want to contribute to Fedora, so I need a sponsor.

BR,
  Björn Esser
Comment 1 Christopher Meng 2013-05-16 22:50:22 EDT
First, IMO, to keep it simple and readable, I hope you can

Name:
Version:
Release:
Summary:
License:
URL:
Source0:

Keep them in order I think.

Next I would leave the URL with pngquant not %{name}...It seems you use %name to cover everything :D...but whatever you want.

Let's continue, for

BuildRequires:	libpng-devel >= 1.2.46-1

I think no need to specify the version required, latest version in Fedora is 1.5.x, and even in EL6 it's 1.2.49.

Last, in the %prep section

%setup -q is enough, no need for -n to define "%{name}-%{version}".

And finally the fedora review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: pngquant-1.8.3-1.fc20.i686.rpm
pngquant.i686: W: spelling-error Summary(en_US) quantization -> quantification, equalization, tantalization
pngquant.i686: W: spelling-error %description -l en_US Quantized -> Quarantined, Antiquated, Antiqued
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

Rpmlint (installed packages)
----------------------------
# rpmlint pngquant
pngquant.i686: W: spelling-error Summary(en_US) quantization -> quantification, equalization, tantalization
pngquant.i686: W: spelling-error %description -l en_US Quantized -> Quarantined, Antiquated, Antiqued
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Ignored.

Requires
--------
pngquant (rpmlib, GLIBC filtered):
    libc.so.6
    libm.so.6
    libpng15.so.15
    libpng15.so.15(PNG15_0)
    rtld(GNU_HASH)



Provides
--------
pngquant:
    pngquant
    pngquant(x86-32)



Source checksums
----------------
http://pngquant.org/pngquant-1.8.3-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : e3d18b12ddf4ee159a696408b147d667674e52121f11660fc15ce3967dd053b9
  CHECKSUM(SHA256) upstream package : e3d18b12ddf4ee159a696408b147d667674e52121f11660fc15ce3967dd053b9


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -rn pngquant-1.8.3-1.fc18.src.rpm -v



Please consider an enhancement of my advice.

Alright, APPROVED.
Comment 2 Michael Schwendt 2013-05-17 03:10:09 EDT
> %setup -q is enough, no need for -n to define "%{name}-%{version}"

The longer explanation gives some background:

"-n %name-%version" is the default, but if one ever wants to package a snapshot, one will likely need "-n …". By quite some packagers it's considered more convenient to simply adjust/change an existing "-n …" rather than delete it completely and add it back again when needed for e.g. a temporary snapshot once again.


* The second license in file COPYRIGHT looks like "License: BSD with advertising":
https://fedoraproject.org/wiki/Licensing:BSD
Comment 3 Björn 'besser82' Esser 2013-05-17 03:16:51 EDT
allright, will do the suggested changes in SCM, then.
Comment 4 Björn 'besser82' Esser 2013-05-17 03:18:58 EDT
New Package SCM Request
=======================
Package Name: pngquant
Short Description: PNG quantization tool for reducing image file size
Owners: besser82
Branches: f18 f19
Comment 5 Michael Schwendt 2013-05-17 03:24:27 EDT
Bjrön, try to be more careful with the review flags. Christopher will need to approve this one again, because the flags are connected to the user, who sets them. If you set it to '+', it appears as if you've approved your own package.

http://fedoraproject.org/wiki/Package_Review_Process#Definitions_for_fedora-review_Flag_Settings
Comment 6 Björn 'besser82' Esser 2013-05-17 03:36:38 EDT
Spec URL: http://besser82.fedorapeople.org/pkg/pngquant/pngquant.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/pngquant/pngquant-1.8.3-2.fc18.src.rpm

I'll be more careful with the flags next time I promise!

So here's a version with the suggested changes from above.

Thanks for review, Christopher!
Comment 7 Gwyn Ciesla 2013-05-17 09:09:59 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-17 09:57:59 EDT
pngquant-1.8.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-2.fc18
Comment 9 Fedora Update System 2013-05-17 18:20:36 EDT
pngquant-1.8.3-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-05-19 06:33:45 EDT
pngquant-1.8.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-3.fc18
Comment 11 Fedora Update System 2013-05-19 06:35:30 EDT
pngquant-1.8.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-3.fc19
Comment 12 Björn 'besser82' Esser 2013-05-21 16:47:20 EDT
Package Change Request
======================
Package Name: pngquant
New Branches: el5 el6
Owners: besser82
Comment 13 Gwyn Ciesla 2013-05-22 12:42:16 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-05-22 15:56:16 EDT
pngquant-1.8.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-3.el6
Comment 15 Fedora Update System 2013-05-24 00:18:26 EDT
pngquant-1.8.3-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-5.el5
Comment 16 Fedora Update System 2013-05-24 00:20:08 EDT
pngquant-1.8.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-5.el6
Comment 17 Fedora Update System 2013-05-24 00:20:43 EDT
pngquant-1.8.3-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-5.fc18
Comment 18 Fedora Update System 2013-05-24 00:21:13 EDT
pngquant-1.8.3-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-5.fc19
Comment 19 Fedora Update System 2013-05-30 08:40:38 EDT
pngquant-1.8.3-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-6.el5
Comment 20 Fedora Update System 2013-05-30 08:41:16 EDT
pngquant-1.8.3-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-6.el6
Comment 21 Fedora Update System 2013-05-30 08:41:50 EDT
pngquant-1.8.3-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-6.fc18
Comment 22 Fedora Update System 2013-05-30 08:42:18 EDT
pngquant-1.8.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pngquant-1.8.3-6.fc19
Comment 23 Fedora Update System 2013-06-07 19:25:25 EDT
pngquant-1.8.3-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 24 Fedora Update System 2013-06-07 23:36:01 EDT
pngquant-1.8.3-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 25 Fedora Update System 2013-06-16 14:35:32 EDT
pngquant-1.8.3-6.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 26 Fedora Update System 2013-06-16 14:36:19 EDT
pngquant-1.8.3-6.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.